using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PinchosSpawner : MonoBehaviour
{
    public GameObject pinchoPrefab; // Prefab del pincho que será instanciado
    public float spawnHeight = 5f; // Altura a la que aparecen los pinchos
    public float spawnIntervalMin = 0.5f; // Tiempo mínimo entre spawns
    public float spawnIntervalMax = 1.5f; // Tiempo máximo entre spawns

    void Start()
    {
        StartCoroutine(SpawnPinchos());
    }

    IEnumerator SpawnPinchos()
    {
        while (true)
        {
            // Elegir un tiempo aleatorio para el próximo spawn
            float interval = Random.Range(spawnIntervalMin, spawnIntervalMax);

            // Esperar el tiempo seleccionado
            yield return new WaitForSeconds(interval);

            // Elegir una posición aleatoria en el eje X
            float randomX = Random.Range(-3.5f, 3.5f);

            // Crear el pincho en la posición calculada
            Vector3 spawnPosition = new Vector3(randomX, spawnHeight, -1f);
            Quaternion spawnRotation = Quaternion.Euler(0f, 0f, -180f);
            Instantiate(pinchoPrefab, spawnPosition, spawnRotation);
        }
    }
}

